Subject: Re: [Spridgets] Muffler

From: tncarnut1 <[email-masked]>
Date: Sat, 15 Nov 2014 08:25:16 -0600

Mike, it's according to what you mean by 'upgrade'. Since the exhaust is straight where the muffler goes, any straight thru design will work. Your basic Cherry Bomb type muffler works well, is inexpensive, and gives you minimal clearance issues. I have also seen Harley Davidson slip on mufflers used. They can be had fairly cheap too, and are usually chrome if you want that. If you know somebody at a dealer (I have a very good friend at the Nassau County dealer, for instance) who works on them, they will probably have a good supply of new-bike take-offs because so many folks who buy a new Harley immediately hand the dealer a huge check to change a bunch of stuff out for them. If yo want to go thisway, call me and I'll give you his number.

- David
Sent via the Samsung GALAXY SB. 5, an AT&T 4G LTE smartphone

-------- Original message --------
From: Michael Rowe <[email-masked]> 
Date:11/13/2014  12:15 PM  (GMT-06:00) 
To: [email-masked] 
Cc:  
Subject: [Spridgets] Muffler 

What muffler upgrade for a 1275 with 1.5" exhaust pipe?

Michael Rowe
The Holy Sprite
------------------------

[email-masked]

Archive: http://www.team.net/archive
------------------------

[email-masked]

Archive: http://www.team.net/archive